Debian Bug report logs - #699198
debian-cd: DEBIAN_KERNEL placeholder in README.html and README.txt

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Andreas Stempfhuber <reportbug2013@afulinux.de>

Date: Mon, 28 Jan 2013 21:30:02 UTC

Severity: minor

Fixed in version debian-cd/3.1.12

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#699198; Package debian-cd. (Mon, 28 Jan 2013 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Stempfhuber <reportbug2013@afulinux.de>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 28 Jan 2013 21:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Stempfhuber <reportbug2013@afulinux.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-cd: DEBIAN_KERNEL placeholder in README.html and README.txt
Date: Mon, 28 Jan 2013 22:26:19 +0100
Package: debian-cd
Severity: minor

Hi,

README.html and README.txt on the Wheezy weekly builds (e.g. 20130128-03:47)
are using DEBIAN_KERNEL as placeholder, e.g.:

        Welcome to the exciting world of Debian DEBIAN_KERNEL

        Debian DEBIAN_KERNEL is a free distribution of the DEBIAN_KERNEL
operating system.

I guess the placeholder should be replaced by e.g. GNU/Linux.

Thanks,

Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#699198; Package debian-cd. (Tue, 29 Jan 2013 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Tue, 29 Jan 2013 18:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 699198@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Andreas Stempfhuber <reportbug2013@afulinux.de>, 699198@bugs.debian.org
Subject: Re: Bug#699198: debian-cd: DEBIAN_KERNEL placeholder in README.html and README.txt
Date: Tue, 29 Jan 2013 18:24:45 +0000
control: tag -1 pending

On Mon, Jan 28, 2013 at 10:26:19PM +0100, Andreas Stempfhuber wrote:
>Package: debian-cd
>Severity: minor
>
>Hi,
>
>README.html and README.txt on the Wheezy weekly builds (e.g. 20130128-03:47)
>are using DEBIAN_KERNEL as placeholder, e.g.:
>
>        Welcome to the exciting world of Debian DEBIAN_KERNEL
>
>        Debian DEBIAN_KERNEL is a free distribution of the DEBIAN_KERNEL
>operating system.
>
>I guess the placeholder should be replaced by e.g. GNU/Linux.

Correct, yes. The underlying text changed in format and broke this
area of the debian-cd code, it seems. Now fixed in svn so future
builds will be correct. Thanks for the report!

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...




Added tag(s) pending. Request was from Steve McIntyre <steve@einval.com> to 699198-submit@bugs.debian.org. (Tue, 29 Jan 2013 18:27:05 GMT) Full text and rfc822 format available.

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Mon, 01 Apr 2013 03:06:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Stempfhuber <reportbug2013@afulinux.de>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 03:06:09 GMT) Full text and rfc822 format available.

Message #17 received at 699198-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 699198-close@bugs.debian.org
Subject: Bug#699198: fixed in debian-cd 3.1.12
Date: Mon, 01 Apr 2013 03:02:35 +0000
Source: debian-cd
Source-Version: 3.1.12

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Apr 2013 02:32:44 +0100
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.12
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 695080 699198 699884 703431 703487 704342
Changes: 
 debian-cd (3.1.12) unstable; urgency=low
 .
   [ Steve McIntyre ]
   * When building source-only discs, cope with having multiple different
     versions of a source package:
     + make_disc_trees.pl now tracks arrays of packages when parsing
       apt-cache output
     + We'll now pull in all the extra packages included in Sources.gz
       because of Built-Using.
   * Add support for Built-Using:
     + tools/sort_deps: parse out Built-Using from Packages files too and
       pass any such data on to tools/merge_package_lists
     + tools/merge_package_lists: if we have any built-using source
       packages listed when doing a combined binary/source set, add them in
       the same way as existing listed sources.
   * Other bug fixes in tools/merge_package_lists:
     + Fix handling of multi-line Binary: fields
     + Print out the accumulated size of source packages in output also
       (fix to printf format string)
   * Update Vcs-Browser
   * Make sure the DEBIAN_KERNEL placeholder in README.* is replaced;
     switch from cpp to sed for that so it works inside quoted
     text. Closes: #699198
   * Deal with syslinux version 5.x needing to install more files for
     bootable x86 media. Thanks to Daniel Baumann for the path.
     Closes: #699884
 .
   [ Raphaƫl Hertzog ]
   * Update Makefile to set MKISOFS to xorriso by default when building
     images for i386/amd64. Otherwise a build that doesn't set MKISOFS
     and MKISOFS_OPTS fails.
   * Update tools/boot/wheezy/boot-x86 to not look for syslinux's source
     if $ARCHIVE_EXTRACTED_SOURCES is not set and modify CONF.sh
     to not set it by default. That option is only meaningful for
     official builds that result in a copy of the sources on the given URL.
   * Add dosfstools to Recommends since it's required by
     tools/boot/wheezy/boot-x86 for EFI support. It can't be added to Depends
     because it's not available on non-Linux systems.
   * Use debootstrap --no-check-gpg by default since many local mirrors
     are not signed (such as temporary mirrors created by simple-cdd).
 .
   [ Steve McIntyre ]
   * Update boot-mipsel and boot-hppa to use the which_deb script for
     better safety when extracting boot loader files.
   * Update all the relevant boot-* scripts to do the right thing when
     extracting packages and sources, depending on
     $ARCHIVE_EXTRACTED_SOURCES as above
   * Add extra text to boot messages on powerpc to tell people about how to
     select a different desktop. Thanks to Rick Thomas for the
     text. Tweaked slightly to list the default on the current disc too.
 .
   [ Robert Spencer ]
   * Extract debian-archive-keyring when setting up apt to avoid error
     messages about missing keys. Closes: #703431
   * Fix cpp warning in Makefile. Closes: #704342
   * Correct usage of dpkg-architecture to fix errors. Closes: #703487
 .
   [ Steve McIntyre ]
   * Allow for override of DISKINFO base text; Closes: #695080
Checksums-Sha1: 
 8ac24afa72c0fcae860f8141222105ded1dc43c9 1680 debian-cd_3.1.12.dsc
 6e2d87d3191ce7da8dc816608b813551b7adef77 714354 debian-cd_3.1.12.tar.gz
 61c520420cf5210d6e24fb20564ef9f1a0e61df6 725990 debian-cd_3.1.12_all.deb
Checksums-Sha256: 
 f062e079dec9a05f4076b1abb983f5acbad404a3a41690e6da800a84f3ce1be0 1680 debian-cd_3.1.12.dsc
 c086eb4d85ed93e146b57ff448be490b334a470ad001b618d8f7cf53cae9a47c 714354 debian-cd_3.1.12.tar.gz
 81692fa09401269321e89bfd073aabde14c3def7dac3a6c8b1aa1e16d4f23ca2 725990 debian-cd_3.1.12_all.deb
Files: 
 9f1eaa95814efef6d5941d6e702049e3 1680 admin extra debian-cd_3.1.12.dsc
 7f795d5fe3772ce3524c08be29bcb067 714354 admin extra debian-cd_3.1.12.tar.gz
 9417a875fda812554a205afe17a2e4eb 725990 admin extra debian-cd_3.1.12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRWOcjAAoJEFh5eVc0QmhO0PwP/jKtkxA9xmibciWWaTUrPqCG
jZuI14DjJ0TgPX1oviDl8v3TCuKlCkor/nGUa5sxvwrlMt6y6zRbe4WT1QmxZvGM
26Zkuj6TAunlJRbpxupmWo/BjAlylUUaOhi+7GzyaQ01/JbtCswh2B8NcrRCRZfn
vQddPUYVh8dDCsF0Q6fiFviFAvGibzRZb7uq0HbhJilMlHdavbJUWF0tn+ndm4b1
DOeP1LSY3weqv12gxwSMMjLIVS94sfN9tgskPTIMWWP2lmc3kM34/8IL9YH+Wetu
GGpUnEoXcWulD+ZEfDbfReJdq0Y6MxSTzKL1RWxKs8mXwiAZgBzfMn1onAXi/WWk
t9x2Wbxr0EPXqsAxq7OgnyLkZB5bJbpwZTH2xbcCCO9xu2JaaqdkiMr97wdDCaUt
D7W4gfPFyYvctzmEMDTzUrLMUKSUWrqziAGOnL6ntZM4WjrC2AFZnV9v3nOcHhly
EFa/raE/johEBDOCxN91vHsio4q9rTIsETwTruqqyhpc2Umi4G9yrvJ7aVq/LH3A
FiANvy1wjKKTD73aEm1gWvDJnZ0LbI+EIRoCfYLCL2dEym6yc2uCWqCvl236Rk+l
RQm5blFDweFyu1807FS7evxzAbSIGCw3DC1gCKFPusn10l66z1RK1WRlk5b8TDlz
pdq1tDqkhbu4Hfb/rD7Z
=gv7V
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 May 2013 07:29:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:14:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.